Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface AssignExp

All Superinterfaces:
  org.eclipse.ocl.utilities.ASTNode, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.ETypedElement, ImperativeExpression, org.eclipse.emf.common.notify.Notifier, org.eclipse.ocl.expressions.OCLExpression<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.TypedElement<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.Visitable

All Known Implementing Classes:
  AssignExpImpl

    public interface AssignExp

extends ImperativeExpression

A representation of the model object 'Assign Exp'.

The following features are supported:

- `Default Value`
- `Is Reset`
- `Left`
- `Value`

See Also:
  `ImperativeOCLPackage.getAssignExp()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`org.eclipse.ocl.ecore.OCLExpression` | `getDefaultValue()` Returns the value of the 'Default Value' containment reference
`org.eclipse.ocl.ecore.OCLExpression` | `getLeft()` Returns the value of the 'Left' containment reference
`org.eclipse.emf.common.util.EList<org.eclipse.ocl.ecore.OCLExpression>` | `getValue()` Returns the value of the 'Value' containment reference list.
`boolean` | `isIsReset()` Returns the value of the 'Is Reset' attribute
`boolean` | `isSetIsReset()` Returns whether the value of the '`Is Reset`' attribute is set
`void` | `setDefaultValue(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Default Value`' containment reference
`void` | `setIsReset(boolean value)` Sets the value of the '`Is Reset`' attribute
`void` | `setLeft(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Left`' containment reference
`void` | `unsetIsReset()` Unsets the value of the '`Is Reset`' attribute

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getDefaultValue

    org.eclipse.ocl.ecore.OCLExpression getDefaultValue()

  Returns the value of the 'Default Value' containment reference.

  If the meaning of the 'Default Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `setDefaultValue(OCLExpression)`, `ImperativeOCLPackage.getAssignExp_DefaultValue()`

### setDefaultValue

    void setDefaultValue(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Default Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Value' containment reference.
  See Also:
    `getDefaultValue()`

### isIsReset

    boolean isIsReset()

  Returns the value of the 'Is Reset' attribute.

  If the meaning of the 'Is Reset' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Reset' attribute.
  See Also:
    `isSetIsReset()`, `unsetIsReset()`, `setIsReset(boolean)`, `ImperativeOCLPackage.getAssignExp_IsReset()`

### setIsReset

    void setIsReset(boolean value)

  Sets the value of the '`Is Reset`' attribute.

  Parameters:
    `value` - the new value of the 'Is Reset' attribute.
  See Also:
    `isSetIsReset()`, `unsetIsReset()`, `isIsReset()`

### unsetIsReset

    void unsetIsReset()

  Unsets the value of the '`Is Reset`' attribute.

  See Also:
    `isSetIsReset()`, `isIsReset()`, `setIsReset(boolean)`

### isSetIsReset

    boolean isSetIsReset()

  Returns whether the value of the '`Is Reset`' attribute is set.

  Returns:
    whether the value of the 'Is Reset' attribute is set.
  See Also:
    `unsetIsReset()`, `isIsReset()`, `setIsReset(boolean)`

### getLeft

    org.eclipse.ocl.ecore.OCLExpression getLeft()

  Returns the value of the 'Left' containment reference.

  If the meaning of the 'Left' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left' containment reference.
  See Also:
    `setLeft(OCLExpression)`, `ImperativeOCLPackage.getAssignExp_Left()`

### setLeft

    void setLeft(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Left`' containment reference.

  Parameters:
    `value` - the new value of the 'Left' containment reference.
  See Also:
    `getLeft()`

### getValue

    org.eclipse.emf.common.util.EList<org.eclipse.ocl.ecore.OCLExpression> getValue()

  Returns the value of the 'Value' containment reference list. The list contents are of type `OCLExpression`.

  If the meaning of the 'Value' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' containment reference list.
  See Also:
    `ImperativeOCLPackage.getAssignExp_Value()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD